Ingest Text
テキストを wiki に Ingest する(SSE ストリーミング)。 CLAUDE_CODE_INSTRUCTIONS.md Section 5-1 に準拠。
POST
/sources/textHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsoncontentstringrequiredtitlestringdefault: ""
tagsstring[]default: []
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/sources/text" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"title": "",
"tags": []
}'const response = await fetch("/sources/text", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"content": "string",
"title": "",
"tags": []
})
});import requests
response = requests.post(
"/sources/text",
headers={
"Content-Type": "application/json"
},
json={
"content": "string",
"title": "",
"tags": []
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}